import request from '@/utils/request'
import Qs from 'qs'
import {encrypt} from "../utils/jsencrypt";

// 微信登录方式(宠物主)
export function wxLogin(code) {
  return request({
    url: '/ae-api/wxMiniApp/validLogin/' + code,
    method: 'post',
    headers: {
      isToken: false
    }
  })
}

export function getUserInfoByOpenId(data) {
  return request({
    url: '/wechat/petOwner/getUserInfoByOpenId',
    method: 'get',
    headers: {
      isToken: false
    },
    data: data
  })
}

// 登录方法
export function login(username, password, code, uuid) {
  const data = {
    username,
    password,
    code,
    uuid
  }
  console.log('加密前数据', data)
  return request({
    url: '/auth/login',
    method: 'post',
    data: Qs.stringify({
      sign: encrypt(data)
    }),
    headers: {}
  })
}

// 获取用户详细信息
export function getInfo() {
  return request({
    'url': '/system/user/getInfo',
    'method': 'get'
  })
}
// 获取用户详细信息
export function getUserInfoConsole() {
  return request({
    'url': '/console/userinfo',
    'method': 'get'
  })
}

// 退出方法
export function logout() {
  return request({
    'url': '/logout',
    'method': 'post'
  })
}

// 获取验证码
export function getCodeImg() {
  return request({
    'url': '/captcha/captchaImage',
    headers: {
      isToken: false
    },
    method: 'get',
    timeout: 20000
  })
}

// 当登陆失败没有宠物主ID时, 调用
export function updatePetOwner(query) {
  return request({
    url: '/wechat/petOwner/updatePetOwner',
    method: 'get',
    params: query,
    headers: {
      isToken: false
    }
  })
}
